//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

using System;
using Tecan.Sila2;
using Tecan.Sila2.IntegrationTests;


namespace Tecan.Sila2.IntegrationTests
{
    
    
    /// <summary>
    /// Data transfer object for the request of the Pass Bool command
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class PassBoolRequestDto : Tecan.Sila2.ISilaTransferObject, Tecan.Sila2.ISilaRequestObject
    {
        
        private Tecan.Sila2.BooleanDto _data;
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        public PassBoolRequestDto()
        {
        }
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        /// <param name="store">An object to organize binaries.</param>
        public PassBoolRequestDto(bool data, Tecan.Sila2.IBinaryStore store)
        {
            Data = new Tecan.Sila2.BooleanDto(data, store);
        }
        
        [ProtoBuf.ProtoMemberAttribute(1)]
        public Tecan.Sila2.BooleanDto Data
        {
            get
            {
                return _data;
            }
            set
            {
                _data = value;
            }
        }
        
        /// <summary>
        /// Gets the command identifier for this command
        /// </summary>
        /// <returns>The fully qualified command identifier</returns>
        public string CommandIdentifier
        {
            get
            {
                return "tecan.sila/integrationtests/TestServer/v1/Command/PassBool";
            }
        }
        
        /// <summary>
        /// Validates the given request object
        /// </summary>
        public void Validate()
        {
            Argument.Validate(Data, "data");
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return ("" + Argument.Require(Data, "data"));
        }
    }
    
    /// <summary>
    /// Data transfer object for the response of the Pass Bool command
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class PassBoolResponseDto : Tecan.Sila2.ISilaTransferObject
    {
        
        private Tecan.Sila2.BooleanDto _returnValue;
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        public PassBoolResponseDto()
        {
        }
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        /// <param name="store">An object to organize binaries.</param>
        public PassBoolResponseDto(bool returnValue, Tecan.Sila2.IBinaryStore store)
        {
            ReturnValue = new Tecan.Sila2.BooleanDto(returnValue, store);
        }
        
        [ProtoBuf.ProtoMemberAttribute(1)]
        public Tecan.Sila2.BooleanDto ReturnValue
        {
            get
            {
                return _returnValue;
            }
            set
            {
                _returnValue = value;
            }
        }
        
        /// <summary>
        /// Validates the given request object
        /// </summary>
        public void Validate()
        {
            Argument.Validate(ReturnValue, "returnValue");
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return ("" + Argument.Require(ReturnValue, "returnValue"));
        }
    }
    
    /// <summary>
    /// Data transfer object for the request of the Pass Double command
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class PassDoubleRequestDto : Tecan.Sila2.ISilaTransferObject, Tecan.Sila2.ISilaRequestObject
    {
        
        private Tecan.Sila2.RealDto _data;
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        public PassDoubleRequestDto()
        {
        }
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        /// <param name="store">An object to organize binaries.</param>
        public PassDoubleRequestDto(double data, Tecan.Sila2.IBinaryStore store)
        {
            Data = new Tecan.Sila2.RealDto(data, store);
        }
        
        [ProtoBuf.ProtoMemberAttribute(1)]
        public Tecan.Sila2.RealDto Data
        {
            get
            {
                return _data;
            }
            set
            {
                _data = value;
            }
        }
        
        /// <summary>
        /// Gets the command identifier for this command
        /// </summary>
        /// <returns>The fully qualified command identifier</returns>
        public string CommandIdentifier
        {
            get
            {
                return "tecan.sila/integrationtests/TestServer/v1/Command/PassDouble";
            }
        }
        
        /// <summary>
        /// Validates the given request object
        /// </summary>
        public void Validate()
        {
            Argument.Validate(Data, "data");
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return ("" + Argument.Require(Data, "data"));
        }
    }
    
    /// <summary>
    /// Data transfer object for the response of the Pass Double command
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class PassDoubleResponseDto : Tecan.Sila2.ISilaTransferObject
    {
        
        private Tecan.Sila2.RealDto _returnValue;
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        public PassDoubleResponseDto()
        {
        }
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        /// <param name="store">An object to organize binaries.</param>
        public PassDoubleResponseDto(double returnValue, Tecan.Sila2.IBinaryStore store)
        {
            ReturnValue = new Tecan.Sila2.RealDto(returnValue, store);
        }
        
        [ProtoBuf.ProtoMemberAttribute(1)]
        public Tecan.Sila2.RealDto ReturnValue
        {
            get
            {
                return _returnValue;
            }
            set
            {
                _returnValue = value;
            }
        }
        
        /// <summary>
        /// Validates the given request object
        /// </summary>
        public void Validate()
        {
            Argument.Validate(ReturnValue, "returnValue");
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return ("" + Argument.Require(ReturnValue, "returnValue"));
        }
    }
    
    /// <summary>
    /// Data transfer object for the request of the Pass Long command
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class PassLongRequestDto : Tecan.Sila2.ISilaTransferObject, Tecan.Sila2.ISilaRequestObject
    {
        
        private Tecan.Sila2.IntegerDto _data;
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        public PassLongRequestDto()
        {
        }
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        /// <param name="store">An object to organize binaries.</param>
        public PassLongRequestDto(long data, Tecan.Sila2.IBinaryStore store)
        {
            Data = new Tecan.Sila2.IntegerDto(data, store);
        }
        
        [ProtoBuf.ProtoMemberAttribute(1)]
        public Tecan.Sila2.IntegerDto Data
        {
            get
            {
                return _data;
            }
            set
            {
                _data = value;
            }
        }
        
        /// <summary>
        /// Gets the command identifier for this command
        /// </summary>
        /// <returns>The fully qualified command identifier</returns>
        public string CommandIdentifier
        {
            get
            {
                return "tecan.sila/integrationtests/TestServer/v1/Command/PassLong";
            }
        }
        
        /// <summary>
        /// Validates the given request object
        /// </summary>
        public void Validate()
        {
            Argument.Validate(Data, "data");
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return ("" + Argument.Require(Data, "data"));
        }
    }
    
    /// <summary>
    /// Data transfer object for the response of the Pass Long command
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class PassLongResponseDto : Tecan.Sila2.ISilaTransferObject
    {
        
        private Tecan.Sila2.IntegerDto _returnValue;
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        public PassLongResponseDto()
        {
        }
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        /// <param name="store">An object to organize binaries.</param>
        public PassLongResponseDto(long returnValue, Tecan.Sila2.IBinaryStore store)
        {
            ReturnValue = new Tecan.Sila2.IntegerDto(returnValue, store);
        }
        
        [ProtoBuf.ProtoMemberAttribute(1)]
        public Tecan.Sila2.IntegerDto ReturnValue
        {
            get
            {
                return _returnValue;
            }
            set
            {
                _returnValue = value;
            }
        }
        
        /// <summary>
        /// Validates the given request object
        /// </summary>
        public void Validate()
        {
            Argument.Validate(ReturnValue, "returnValue");
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return ("" + Argument.Require(ReturnValue, "returnValue"));
        }
    }
    
    /// <summary>
    /// Data transfer object for the request of the Pass Int command
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class PassIntRequestDto : Tecan.Sila2.ISilaTransferObject, Tecan.Sila2.ISilaRequestObject
    {
        
        private Tecan.Sila2.IntegerDto _data;
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        public PassIntRequestDto()
        {
        }
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        /// <param name="store">An object to organize binaries.</param>
        public PassIntRequestDto(int data, Tecan.Sila2.IBinaryStore store)
        {
            Data = new Tecan.Sila2.IntegerDto(data, store);
        }
        
        [ProtoBuf.ProtoMemberAttribute(1)]
        public Tecan.Sila2.IntegerDto Data
        {
            get
            {
                return _data;
            }
            set
            {
                _data = value;
            }
        }
        
        /// <summary>
        /// Gets the command identifier for this command
        /// </summary>
        /// <returns>The fully qualified command identifier</returns>
        public string CommandIdentifier
        {
            get
            {
                return "tecan.sila/integrationtests/TestServer/v1/Command/PassInt";
            }
        }
        
        /// <summary>
        /// Validates the given request object
        /// </summary>
        public void Validate()
        {
            Argument.Validate(Data, "data");
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return ("" + Argument.Require(Data, "data"));
        }
    }
    
    /// <summary>
    /// Data transfer object for the response of the Pass Int command
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class PassIntResponseDto : Tecan.Sila2.ISilaTransferObject
    {
        
        private Tecan.Sila2.IntegerDto _returnValue;
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        public PassIntResponseDto()
        {
        }
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        /// <param name="store">An object to organize binaries.</param>
        public PassIntResponseDto(int returnValue, Tecan.Sila2.IBinaryStore store)
        {
            ReturnValue = new Tecan.Sila2.IntegerDto(returnValue, store);
        }
        
        [ProtoBuf.ProtoMemberAttribute(1)]
        public Tecan.Sila2.IntegerDto ReturnValue
        {
            get
            {
                return _returnValue;
            }
            set
            {
                _returnValue = value;
            }
        }
        
        /// <summary>
        /// Validates the given request object
        /// </summary>
        public void Validate()
        {
            Argument.Validate(ReturnValue, "returnValue");
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return ("" + Argument.Require(ReturnValue, "returnValue"));
        }
    }
    
    /// <summary>
    /// Data transfer object for the request of the Pass Timestamp command
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class PassTimestampRequestDto : Tecan.Sila2.ISilaTransferObject, Tecan.Sila2.ISilaRequestObject
    {
        
        private Tecan.Sila2.TimestampDto _timestamp;
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        public PassTimestampRequestDto()
        {
        }
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        /// <param name="store">An object to organize binaries.</param>
        public PassTimestampRequestDto(System.DateTimeOffset timestamp, Tecan.Sila2.IBinaryStore store)
        {
            Timestamp = new Tecan.Sila2.TimestampDto(timestamp, store);
        }
        
        [ProtoBuf.ProtoMemberAttribute(1)]
        public Tecan.Sila2.TimestampDto Timestamp
        {
            get
            {
                return _timestamp;
            }
            set
            {
                _timestamp = value;
            }
        }
        
        /// <summary>
        /// Gets the command identifier for this command
        /// </summary>
        /// <returns>The fully qualified command identifier</returns>
        public string CommandIdentifier
        {
            get
            {
                return "tecan.sila/integrationtests/TestServer/v1/Command/PassTimestamp";
            }
        }
        
        /// <summary>
        /// Validates the given request object
        /// </summary>
        public void Validate()
        {
            Argument.Validate(Timestamp, "timestamp");
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return ("" + Argument.Require(Timestamp, "timestamp"));
        }
    }
    
    /// <summary>
    /// Data transfer object for the response of the Pass Timestamp command
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class PassTimestampResponseDto : Tecan.Sila2.ISilaTransferObject
    {
        
        private Tecan.Sila2.TimestampDto _returnValue;
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        public PassTimestampResponseDto()
        {
        }
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        /// <param name="store">An object to organize binaries.</param>
        public PassTimestampResponseDto(System.DateTimeOffset returnValue, Tecan.Sila2.IBinaryStore store)
        {
            ReturnValue = new Tecan.Sila2.TimestampDto(returnValue, store);
        }
        
        [ProtoBuf.ProtoMemberAttribute(1)]
        public Tecan.Sila2.TimestampDto ReturnValue
        {
            get
            {
                return _returnValue;
            }
            set
            {
                _returnValue = value;
            }
        }
        
        /// <summary>
        /// Validates the given request object
        /// </summary>
        public void Validate()
        {
            Argument.Validate(ReturnValue, "returnValue");
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return ("" + Argument.Require(ReturnValue, "returnValue"));
        }
    }
    
    /// <summary>
    /// Data transfer object for the request of the Pass Time command
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class PassTimeRequestDto : Tecan.Sila2.ISilaTransferObject, Tecan.Sila2.ISilaRequestObject
    {
        
        private Tecan.Sila2.TimeDto _time;
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        public PassTimeRequestDto()
        {
        }
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        /// <param name="store">An object to organize binaries.</param>
        public PassTimeRequestDto(System.TimeSpan time, Tecan.Sila2.IBinaryStore store)
        {
            Time = new Tecan.Sila2.TimeDto(time, store);
        }
        
        [ProtoBuf.ProtoMemberAttribute(1)]
        public Tecan.Sila2.TimeDto Time
        {
            get
            {
                return _time;
            }
            set
            {
                _time = value;
            }
        }
        
        /// <summary>
        /// Gets the command identifier for this command
        /// </summary>
        /// <returns>The fully qualified command identifier</returns>
        public string CommandIdentifier
        {
            get
            {
                return "tecan.sila/integrationtests/TestServer/v1/Command/PassTime";
            }
        }
        
        /// <summary>
        /// Validates the given request object
        /// </summary>
        public void Validate()
        {
            Argument.Validate(Time, "time");
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return ("" + Argument.Require(Time, "time"));
        }
    }
    
    /// <summary>
    /// Data transfer object for the response of the Pass Time command
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class PassTimeResponseDto : Tecan.Sila2.ISilaTransferObject
    {
        
        private Tecan.Sila2.TimeDto _returnValue;
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        public PassTimeResponseDto()
        {
        }
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        /// <param name="store">An object to organize binaries.</param>
        public PassTimeResponseDto(System.TimeSpan returnValue, Tecan.Sila2.IBinaryStore store)
        {
            ReturnValue = new Tecan.Sila2.TimeDto(returnValue, store);
        }
        
        [ProtoBuf.ProtoMemberAttribute(1)]
        public Tecan.Sila2.TimeDto ReturnValue
        {
            get
            {
                return _returnValue;
            }
            set
            {
                _returnValue = value;
            }
        }
        
        /// <summary>
        /// Validates the given request object
        /// </summary>
        public void Validate()
        {
            Argument.Validate(ReturnValue, "returnValue");
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return ("" + Argument.Require(ReturnValue, "returnValue"));
        }
    }
    
    /// <summary>
    /// Data transfer object for the request of the Pass String command
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class PassStringRequestDto : Tecan.Sila2.ISilaTransferObject, Tecan.Sila2.ISilaRequestObject
    {
        
        private Tecan.Sila2.StringDto _value;
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        public PassStringRequestDto()
        {
        }
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        /// <param name="store">An object to organize binaries.</param>
        public PassStringRequestDto(string value, Tecan.Sila2.IBinaryStore store)
        {
            Value = new Tecan.Sila2.StringDto(value, store);
        }
        
        [ProtoBuf.ProtoMemberAttribute(1)]
        public Tecan.Sila2.StringDto Value
        {
            get
            {
                return _value;
            }
            set
            {
                _value = value;
            }
        }
        
        /// <summary>
        /// Gets the command identifier for this command
        /// </summary>
        /// <returns>The fully qualified command identifier</returns>
        public string CommandIdentifier
        {
            get
            {
                return "tecan.sila/integrationtests/TestServer/v1/Command/PassString";
            }
        }
        
        /// <summary>
        /// Validates the given request object
        /// </summary>
        public void Validate()
        {
            Argument.Validate(Value, "value");
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return ("" + Argument.Require(Value, "value"));
        }
    }
    
    /// <summary>
    /// Data transfer object for the response of the Pass String command
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class PassStringResponseDto : Tecan.Sila2.ISilaTransferObject
    {
        
        private Tecan.Sila2.StringDto _returnValue;
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        public PassStringResponseDto()
        {
        }
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        /// <param name="store">An object to organize binaries.</param>
        public PassStringResponseDto(string returnValue, Tecan.Sila2.IBinaryStore store)
        {
            ReturnValue = new Tecan.Sila2.StringDto(returnValue, store);
        }
        
        [ProtoBuf.ProtoMemberAttribute(1)]
        public Tecan.Sila2.StringDto ReturnValue
        {
            get
            {
                return _returnValue;
            }
            set
            {
                _returnValue = value;
            }
        }
        
        /// <summary>
        /// Validates the given request object
        /// </summary>
        public void Validate()
        {
            Argument.Validate(ReturnValue, "returnValue");
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return ("" + Argument.Require(ReturnValue, "returnValue"));
        }
    }
    
    /// <summary>
    /// Data transfer object for the request of the Pass Stream command
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class PassStreamRequestDto : Tecan.Sila2.ISilaTransferObject, Tecan.Sila2.ISilaRequestObject
    {
        
        private Tecan.Sila2.BinaryDto _value;
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        public PassStreamRequestDto()
        {
        }
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        /// <param name="store">An object to organize binaries.</param>
        public PassStreamRequestDto(System.IO.Stream value, Tecan.Sila2.IBinaryStore store)
        {
            Value = new Tecan.Sila2.BinaryDto(value, store);
        }
        
        [ProtoBuf.ProtoMemberAttribute(1)]
        public Tecan.Sila2.BinaryDto Value
        {
            get
            {
                return _value;
            }
            set
            {
                _value = value;
            }
        }
        
        /// <summary>
        /// Gets the command identifier for this command
        /// </summary>
        /// <returns>The fully qualified command identifier</returns>
        public string CommandIdentifier
        {
            get
            {
                return "tecan.sila/integrationtests/TestServer/v1/Command/PassStream";
            }
        }
        
        /// <summary>
        /// Validates the given request object
        /// </summary>
        public void Validate()
        {
            Argument.Validate(Value, "value");
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return ("" + Argument.Require(Value, "value"));
        }
    }
    
    /// <summary>
    /// Data transfer object for the response of the Pass Stream command
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class PassStreamResponseDto : Tecan.Sila2.ISilaTransferObject
    {
        
        private Tecan.Sila2.BinaryDto _returnValue;
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        public PassStreamResponseDto()
        {
        }
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        /// <param name="store">An object to organize binaries.</param>
        public PassStreamResponseDto(System.IO.Stream returnValue, Tecan.Sila2.IBinaryStore store)
        {
            ReturnValue = new Tecan.Sila2.BinaryDto(returnValue, store);
        }
        
        [ProtoBuf.ProtoMemberAttribute(1)]
        public Tecan.Sila2.BinaryDto ReturnValue
        {
            get
            {
                return _returnValue;
            }
            set
            {
                _returnValue = value;
            }
        }
        
        /// <summary>
        /// Validates the given request object
        /// </summary>
        public void Validate()
        {
            Argument.Validate(ReturnValue, "returnValue");
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return ("" + Argument.Require(ReturnValue, "returnValue"));
        }
    }
    
    /// <summary>
    /// Data transfer object for the request of the Pass File command
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class PassFileRequestDto : Tecan.Sila2.ISilaTransferObject, Tecan.Sila2.ISilaRequestObject
    {
        
        private Tecan.Sila2.BinaryDto _file;
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        public PassFileRequestDto()
        {
        }
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        /// <param name="store">An object to organize binaries.</param>
        public PassFileRequestDto(System.IO.FileInfo file, Tecan.Sila2.IBinaryStore store)
        {
            File = new Tecan.Sila2.BinaryDto(file, store);
        }
        
        [ProtoBuf.ProtoMemberAttribute(1)]
        public Tecan.Sila2.BinaryDto File
        {
            get
            {
                return _file;
            }
            set
            {
                _file = value;
            }
        }
        
        /// <summary>
        /// Gets the command identifier for this command
        /// </summary>
        /// <returns>The fully qualified command identifier</returns>
        public string CommandIdentifier
        {
            get
            {
                return "tecan.sila/integrationtests/TestServer/v1/Command/PassFile";
            }
        }
        
        /// <summary>
        /// Validates the given request object
        /// </summary>
        public void Validate()
        {
            Argument.Validate(File, "file");
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return ("" + Argument.Require(File, "file"));
        }
    }
    
    /// <summary>
    /// Data transfer object for the response of the Pass File command
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class PassFileResponseDto : Tecan.Sila2.ISilaTransferObject
    {
        
        private Tecan.Sila2.BinaryDto _returnValue;
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        public PassFileResponseDto()
        {
        }
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        /// <param name="store">An object to organize binaries.</param>
        public PassFileResponseDto(System.IO.FileInfo returnValue, Tecan.Sila2.IBinaryStore store)
        {
            ReturnValue = new Tecan.Sila2.BinaryDto(returnValue, store);
        }
        
        [ProtoBuf.ProtoMemberAttribute(1)]
        public Tecan.Sila2.BinaryDto ReturnValue
        {
            get
            {
                return _returnValue;
            }
            set
            {
                _returnValue = value;
            }
        }
        
        /// <summary>
        /// Validates the given request object
        /// </summary>
        public void Validate()
        {
            Argument.Validate(ReturnValue, "returnValue");
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return ("" + Argument.Require(ReturnValue, "returnValue"));
        }
    }
    
    /// <summary>
    /// Data transfer object for the request of the Pass Bytes command
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class PassBytesRequestDto : Tecan.Sila2.ISilaTransferObject, Tecan.Sila2.ISilaRequestObject
    {
        
        private Tecan.Sila2.BinaryDto _bytes;
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        public PassBytesRequestDto()
        {
        }
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        /// <param name="store">An object to organize binaries.</param>
        public PassBytesRequestDto(byte[] bytes, Tecan.Sila2.IBinaryStore store)
        {
            Bytes = new Tecan.Sila2.BinaryDto(bytes, store);
        }
        
        [ProtoBuf.ProtoMemberAttribute(1)]
        public Tecan.Sila2.BinaryDto Bytes
        {
            get
            {
                return _bytes;
            }
            set
            {
                _bytes = value;
            }
        }
        
        /// <summary>
        /// Gets the command identifier for this command
        /// </summary>
        /// <returns>The fully qualified command identifier</returns>
        public string CommandIdentifier
        {
            get
            {
                return "tecan.sila/integrationtests/TestServer/v1/Command/PassBytes";
            }
        }
        
        /// <summary>
        /// Validates the given request object
        /// </summary>
        public void Validate()
        {
            Argument.Validate(Bytes, "bytes");
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return ("" + Argument.Require(Bytes, "bytes"));
        }
    }
    
    /// <summary>
    /// Data transfer object for the response of the Pass Bytes command
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class PassBytesResponseDto : Tecan.Sila2.ISilaTransferObject
    {
        
        private Tecan.Sila2.BinaryDto _returnValue;
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        public PassBytesResponseDto()
        {
        }
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        /// <param name="store">An object to organize binaries.</param>
        public PassBytesResponseDto(byte[] returnValue, Tecan.Sila2.IBinaryStore store)
        {
            ReturnValue = new Tecan.Sila2.BinaryDto(returnValue, store);
        }
        
        [ProtoBuf.ProtoMemberAttribute(1)]
        public Tecan.Sila2.BinaryDto ReturnValue
        {
            get
            {
                return _returnValue;
            }
            set
            {
                _returnValue = value;
            }
        }
        
        /// <summary>
        /// Validates the given request object
        /// </summary>
        public void Validate()
        {
            Argument.Validate(ReturnValue, "returnValue");
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return ("" + Argument.Require(ReturnValue, "returnValue"));
        }
    }
    
    /// <summary>
    /// Data transfer object for the request of the Pass Dynamic command
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class PassDynamicRequestDto : Tecan.Sila2.ISilaTransferObject, Tecan.Sila2.ISilaRequestObject
    {
        
        private Tecan.Sila2.DynamicClient.AnyTypeDto _dynamic;
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        public PassDynamicRequestDto()
        {
        }
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        /// <param name="store">An object to organize binaries.</param>
        public PassDynamicRequestDto(Tecan.Sila2.DynamicClient.DynamicObjectProperty dynamic, Tecan.Sila2.IBinaryStore store)
        {
            Dynamic = new Tecan.Sila2.DynamicClient.AnyTypeDto(dynamic, store);
        }
        
        [ProtoBuf.ProtoMemberAttribute(1)]
        public Tecan.Sila2.DynamicClient.AnyTypeDto Dynamic
        {
            get
            {
                return _dynamic;
            }
            set
            {
                _dynamic = value;
            }
        }
        
        /// <summary>
        /// Gets the command identifier for this command
        /// </summary>
        /// <returns>The fully qualified command identifier</returns>
        public string CommandIdentifier
        {
            get
            {
                return "tecan.sila/integrationtests/TestServer/v1/Command/PassDynamic";
            }
        }
        
        /// <summary>
        /// Validates the given request object
        /// </summary>
        public void Validate()
        {
            Argument.Validate(Dynamic, "dynamic");
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return ("" + Argument.Require(Dynamic, "dynamic"));
        }
    }
    
    /// <summary>
    /// Data transfer object for the response of the Pass Dynamic command
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class PassDynamicResponseDto : Tecan.Sila2.ISilaTransferObject
    {
        
        private Tecan.Sila2.DynamicClient.AnyTypeDto _returnValue;
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        public PassDynamicResponseDto()
        {
        }
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        /// <param name="store">An object to organize binaries.</param>
        public PassDynamicResponseDto(Tecan.Sila2.DynamicClient.DynamicObjectProperty returnValue, Tecan.Sila2.IBinaryStore store)
        {
            ReturnValue = new Tecan.Sila2.DynamicClient.AnyTypeDto(returnValue, store);
        }
        
        [ProtoBuf.ProtoMemberAttribute(1)]
        public Tecan.Sila2.DynamicClient.AnyTypeDto ReturnValue
        {
            get
            {
                return _returnValue;
            }
            set
            {
                _returnValue = value;
            }
        }
        
        /// <summary>
        /// Validates the given request object
        /// </summary>
        public void Validate()
        {
            Argument.Validate(ReturnValue, "returnValue");
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return ("" + Argument.Require(ReturnValue, "returnValue"));
        }
    }
    
    /// <summary>
    /// Data transfer object for the request of the Pass Collection command
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class PassCollectionRequestDto : Tecan.Sila2.ISilaTransferObject, Tecan.Sila2.ISilaRequestObject
    {
        
        private System.Collections.Generic.List<Tecan.Sila2.StringDto> _strings;
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        public PassCollectionRequestDto()
        {
        }
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        /// <param name="store">An object to organize binaries.</param>
        public PassCollectionRequestDto(System.Collections.Generic.ICollection<string> strings, Tecan.Sila2.IBinaryStore store)
        {
            Strings = Tecan.Sila2.DtoExtensions.Encapsulate(strings, Tecan.Sila2.StringDto.Create, store);
        }
        
        [ProtoBuf.ProtoMemberAttribute(1)]
        public System.Collections.Generic.List<Tecan.Sila2.StringDto> Strings
        {
            get
            {
                return _strings;
            }
            set
            {
                _strings = value;
            }
        }
        
        /// <summary>
        /// Gets the command identifier for this command
        /// </summary>
        /// <returns>The fully qualified command identifier</returns>
        public string CommandIdentifier
        {
            get
            {
                return "tecan.sila/integrationtests/TestServer/v1/Command/PassCollection";
            }
        }
        
        /// <summary>
        /// Validates the given request object
        /// </summary>
        public void Validate()
        {
            Argument.Validate(Strings, "strings");
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return ("" + Argument.Require(Strings, "strings"));
        }
    }
    
    /// <summary>
    /// Data transfer object for the response of the Pass Collection command
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class PassCollectionResponseDto : Tecan.Sila2.ISilaTransferObject
    {
        
        private System.Collections.Generic.List<Tecan.Sila2.StringDto> _returnValue;
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        public PassCollectionResponseDto()
        {
        }
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        /// <param name="store">An object to organize binaries.</param>
        public PassCollectionResponseDto(System.Collections.Generic.ICollection<string> returnValue, Tecan.Sila2.IBinaryStore store)
        {
            ReturnValue = Tecan.Sila2.DtoExtensions.Encapsulate(returnValue, Tecan.Sila2.StringDto.Create, store);
        }
        
        [ProtoBuf.ProtoMemberAttribute(1)]
        public System.Collections.Generic.List<Tecan.Sila2.StringDto> ReturnValue
        {
            get
            {
                return _returnValue;
            }
            set
            {
                _returnValue = value;
            }
        }
        
        /// <summary>
        /// Validates the given request object
        /// </summary>
        public void Validate()
        {
            Argument.Validate(ReturnValue, "returnValue");
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return ("" + Argument.Require(ReturnValue, "returnValue"));
        }
    }
    
    /// <summary>
    /// Data transfer object for the request of the Pass Structure command
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class PassStructureRequestDto : Tecan.Sila2.ISilaTransferObject, Tecan.Sila2.ISilaRequestObject
    {
        
        private SomeStructureDto _structure;
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        public PassStructureRequestDto()
        {
        }
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        /// <param name="store">An object to organize binaries.</param>
        public PassStructureRequestDto(SomeStructure structure, Tecan.Sila2.IBinaryStore store)
        {
            Structure = new SomeStructureDto(structure, store);
        }
        
        [ProtoBuf.ProtoMemberAttribute(1)]
        public SomeStructureDto Structure
        {
            get
            {
                return _structure;
            }
            set
            {
                _structure = value;
            }
        }
        
        /// <summary>
        /// Gets the command identifier for this command
        /// </summary>
        /// <returns>The fully qualified command identifier</returns>
        public string CommandIdentifier
        {
            get
            {
                return "tecan.sila/integrationtests/TestServer/v1/Command/PassStructure";
            }
        }
        
        /// <summary>
        /// Validates the given request object
        /// </summary>
        public void Validate()
        {
            Argument.Validate(Structure, "structure");
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return ("" + Argument.Require(Structure, "structure"));
        }
    }
    
    /// <summary>
    /// Data transfer object for the response of the Pass Structure command
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class PassStructureResponseDto : Tecan.Sila2.ISilaTransferObject
    {
        
        private SomeStructureDto _returnValue;
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        public PassStructureResponseDto()
        {
        }
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        /// <param name="store">An object to organize binaries.</param>
        public PassStructureResponseDto(SomeStructure returnValue, Tecan.Sila2.IBinaryStore store)
        {
            ReturnValue = new SomeStructureDto(returnValue, store);
        }
        
        [ProtoBuf.ProtoMemberAttribute(1)]
        public SomeStructureDto ReturnValue
        {
            get
            {
                return _returnValue;
            }
            set
            {
                _returnValue = value;
            }
        }
        
        /// <summary>
        /// Validates the given request object
        /// </summary>
        public void Validate()
        {
            Argument.Validate(ReturnValue, "returnValue");
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return ("" + Argument.Require(ReturnValue, "returnValue"));
        }
    }
    
    /// <summary>
    /// Data transfer object for the request of the Run Observable command
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class RunObservableRequestDto : Tecan.Sila2.ISilaTransferObject, Tecan.Sila2.ISilaRequestObject
    {
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        public RunObservableRequestDto()
        {
        }
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        /// <param name="store">An object to organize binaries.</param>
        public RunObservableRequestDto(Tecan.Sila2.IBinaryStore store)
        {
        }
        
        /// <summary>
        /// Gets the command identifier for this command
        /// </summary>
        /// <returns>The fully qualified command identifier</returns>
        public string CommandIdentifier
        {
            get
            {
                return "tecan.sila/integrationtests/TestServer/v1/Command/RunObservable";
            }
        }
        
        /// <summary>
        /// Validates the given request object
        /// </summary>
        public void Validate()
        {
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return null;
        }
    }
    
    /// <summary>
    /// Data transfer object for the response of the Run Observable command
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class RunObservableResponseDto : Tecan.Sila2.ISilaTransferObject
    {
        
        private Tecan.Sila2.IntegerDto _returnValue;
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        public RunObservableResponseDto()
        {
        }
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        /// <param name="store">An object to organize binaries.</param>
        public RunObservableResponseDto(int returnValue, Tecan.Sila2.IBinaryStore store)
        {
            ReturnValue = new Tecan.Sila2.IntegerDto(returnValue, store);
        }
        
        [ProtoBuf.ProtoMemberAttribute(1)]
        public Tecan.Sila2.IntegerDto ReturnValue
        {
            get
            {
                return _returnValue;
            }
            set
            {
                _returnValue = value;
            }
        }
        
        /// <summary>
        /// Validates the given request object
        /// </summary>
        public void Validate()
        {
            Argument.Validate(ReturnValue, "returnValue");
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return ("" + Argument.Require(ReturnValue, "returnValue"));
        }
    }
    
    /// <summary>
    /// Data transfer object for the request of the Run Intermediate Observable Command command
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class RunIntermediateObservableCommandRequestDto : Tecan.Sila2.ISilaTransferObject, Tecan.Sila2.ISilaRequestObject
    {
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        public RunIntermediateObservableCommandRequestDto()
        {
        }
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        /// <param name="store">An object to organize binaries.</param>
        public RunIntermediateObservableCommandRequestDto(Tecan.Sila2.IBinaryStore store)
        {
        }
        
        /// <summary>
        /// Gets the command identifier for this command
        /// </summary>
        /// <returns>The fully qualified command identifier</returns>
        public string CommandIdentifier
        {
            get
            {
                return "tecan.sila/integrationtests/TestServer/v1/Command/RunIntermediateObservableComman" +
                    "d";
            }
        }
        
        /// <summary>
        /// Validates the given request object
        /// </summary>
        public void Validate()
        {
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return null;
        }
    }
    
    /// <summary>
    /// Data transfer object for the intermediate response of the Run Intermediate Observable Command command
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class RunIntermediateObservableCommandIntermediateDto : Tecan.Sila2.ISilaTransferObject
    {
        
        private Tecan.Sila2.IntegerDto _intermediate;
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        public RunIntermediateObservableCommandIntermediateDto()
        {
        }
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        /// <param name="store">An object to organize binaries.</param>
        public RunIntermediateObservableCommandIntermediateDto(long intermediate, Tecan.Sila2.IBinaryStore store)
        {
            Intermediate = new Tecan.Sila2.IntegerDto(intermediate, store);
        }
        
        [ProtoBuf.ProtoMemberAttribute(1)]
        public Tecan.Sila2.IntegerDto Intermediate
        {
            get
            {
                return _intermediate;
            }
            set
            {
                _intermediate = value;
            }
        }
        
        /// <summary>
        /// Validates the given request object
        /// </summary>
        public void Validate()
        {
            Argument.Validate(Intermediate, "intermediate");
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return ("" + Argument.Require(Intermediate, "intermediate"));
        }
    }
    
    /// <summary>
    /// Data transfer object for the request of the Wait For Cancel Or Throw command
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class WaitForCancelOrThrowRequestDto : Tecan.Sila2.ISilaTransferObject, Tecan.Sila2.ISilaRequestObject
    {
        
        private Tecan.Sila2.TimeDto _duration;
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        public WaitForCancelOrThrowRequestDto()
        {
        }
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        /// <param name="store">An object to organize binaries.</param>
        public WaitForCancelOrThrowRequestDto(System.TimeSpan duration, Tecan.Sila2.IBinaryStore store)
        {
            Duration = new Tecan.Sila2.TimeDto(duration, store);
        }
        
        [ProtoBuf.ProtoMemberAttribute(1)]
        public Tecan.Sila2.TimeDto Duration
        {
            get
            {
                return _duration;
            }
            set
            {
                _duration = value;
            }
        }
        
        /// <summary>
        /// Gets the command identifier for this command
        /// </summary>
        /// <returns>The fully qualified command identifier</returns>
        public string CommandIdentifier
        {
            get
            {
                return "tecan.sila/integrationtests/TestServer/v1/Command/WaitForCancelOrThrow";
            }
        }
        
        /// <summary>
        /// Validates the given request object
        /// </summary>
        public void Validate()
        {
            Argument.Validate(Duration, "duration");
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return ("" + Argument.Require(Duration, "duration"));
        }
    }
    
    /// <summary>
    /// Data transfer object for the request of the Run Into Failure command
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class RunIntoFailureRequestDto : Tecan.Sila2.ISilaTransferObject, Tecan.Sila2.ISilaRequestObject
    {
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        public RunIntoFailureRequestDto()
        {
        }
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        /// <param name="store">An object to organize binaries.</param>
        public RunIntoFailureRequestDto(Tecan.Sila2.IBinaryStore store)
        {
        }
        
        /// <summary>
        /// Gets the command identifier for this command
        /// </summary>
        /// <returns>The fully qualified command identifier</returns>
        public string CommandIdentifier
        {
            get
            {
                return "tecan.sila/integrationtests/TestServer/v1/Command/RunIntoFailure";
            }
        }
        
        /// <summary>
        /// Validates the given request object
        /// </summary>
        public void Validate()
        {
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return null;
        }
    }
    
    /// <summary>
    /// Data transfer object for the request of the Run Into Failure Observably command
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class RunIntoFailureObservablyRequestDto : Tecan.Sila2.ISilaTransferObject, Tecan.Sila2.ISilaRequestObject
    {
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        public RunIntoFailureObservablyRequestDto()
        {
        }
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        /// <param name="store">An object to organize binaries.</param>
        public RunIntoFailureObservablyRequestDto(Tecan.Sila2.IBinaryStore store)
        {
        }
        
        /// <summary>
        /// Gets the command identifier for this command
        /// </summary>
        /// <returns>The fully qualified command identifier</returns>
        public string CommandIdentifier
        {
            get
            {
                return "tecan.sila/integrationtests/TestServer/v1/Command/RunIntoFailureObservably";
            }
        }
        
        /// <summary>
        /// Validates the given request object
        /// </summary>
        public void Validate()
        {
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return null;
        }
    }
    
    /// <summary>
    /// Data transfer object for the request of the Is Cancelled command
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class IsCancelledRequestDto : Tecan.Sila2.ISilaTransferObject, Tecan.Sila2.ISilaRequestObject
    {
        
        private Tecan.Sila2.StringDto _commandId;
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        public IsCancelledRequestDto()
        {
        }
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        /// <param name="store">An object to organize binaries.</param>
        public IsCancelledRequestDto(string commandId, Tecan.Sila2.IBinaryStore store)
        {
            CommandId = new Tecan.Sila2.StringDto(commandId, store);
        }
        
        [ProtoBuf.ProtoMemberAttribute(1)]
        public Tecan.Sila2.StringDto CommandId
        {
            get
            {
                return _commandId;
            }
            set
            {
                _commandId = value;
            }
        }
        
        /// <summary>
        /// Gets the command identifier for this command
        /// </summary>
        /// <returns>The fully qualified command identifier</returns>
        public string CommandIdentifier
        {
            get
            {
                return "tecan.sila/integrationtests/TestServer/v1/Command/IsCancelled";
            }
        }
        
        /// <summary>
        /// Validates the given request object
        /// </summary>
        public void Validate()
        {
            Argument.Validate(CommandId, "commandId");
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return ("" + Argument.Require(CommandId, "commandId"));
        }
    }
    
    /// <summary>
    /// Data transfer object for the response of the Is Cancelled command
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class IsCancelledResponseDto : Tecan.Sila2.ISilaTransferObject
    {
        
        private Tecan.Sila2.BooleanDto _returnValue;
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        public IsCancelledResponseDto()
        {
        }
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        /// <param name="store">An object to organize binaries.</param>
        public IsCancelledResponseDto(bool returnValue, Tecan.Sila2.IBinaryStore store)
        {
            ReturnValue = new Tecan.Sila2.BooleanDto(returnValue, store);
        }
        
        [ProtoBuf.ProtoMemberAttribute(1)]
        public Tecan.Sila2.BooleanDto ReturnValue
        {
            get
            {
                return _returnValue;
            }
            set
            {
                _returnValue = value;
            }
        }
        
        /// <summary>
        /// Validates the given request object
        /// </summary>
        public void Validate()
        {
            Argument.Validate(ReturnValue, "returnValue");
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return ("" + Argument.Require(ReturnValue, "returnValue"));
        }
    }
    
    /// <summary>
    /// Data transfer object for the request of the Throw Runtime Exception command
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class ThrowRuntimeExceptionRequestDto : Tecan.Sila2.ISilaTransferObject, Tecan.Sila2.ISilaRequestObject
    {
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        public ThrowRuntimeExceptionRequestDto()
        {
        }
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        /// <param name="store">An object to organize binaries.</param>
        public ThrowRuntimeExceptionRequestDto(Tecan.Sila2.IBinaryStore store)
        {
        }
        
        /// <summary>
        /// Gets the command identifier for this command
        /// </summary>
        /// <returns>The fully qualified command identifier</returns>
        public string CommandIdentifier
        {
            get
            {
                return "tecan.sila/integrationtests/TestServer/v1/Command/ThrowRuntimeException";
            }
        }
        
        /// <summary>
        /// Validates the given request object
        /// </summary>
        public void Validate()
        {
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return null;
        }
    }
    
    /// <summary>
    /// Data transfer object for the request of the Set Dummy command
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class SetDummyRequestDto : Tecan.Sila2.ISilaTransferObject, Tecan.Sila2.ISilaRequestObject
    {
        
        private Tecan.Sila2.IntegerDto _value;
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        public SetDummyRequestDto()
        {
        }
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        /// <param name="store">An object to organize binaries.</param>
        public SetDummyRequestDto(int value, Tecan.Sila2.IBinaryStore store)
        {
            Value = new Tecan.Sila2.IntegerDto(value, store);
        }
        
        [ProtoBuf.ProtoMemberAttribute(1)]
        public Tecan.Sila2.IntegerDto Value
        {
            get
            {
                return _value;
            }
            set
            {
                _value = value;
            }
        }
        
        /// <summary>
        /// Gets the command identifier for this command
        /// </summary>
        /// <returns>The fully qualified command identifier</returns>
        public string CommandIdentifier
        {
            get
            {
                return "tecan.sila/integrationtests/TestServer/v1/Command/SetDummy";
            }
        }
        
        /// <summary>
        /// Validates the given request object
        /// </summary>
        public void Validate()
        {
            Argument.Validate(Value, "value");
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return ("" + Argument.Require(Value, "value"));
        }
    }
    
    /// <summary>
    /// The data transfer object for Some Structure
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class SomeStructureDto : Tecan.Sila2.ISilaTransferObject<SomeStructure>
    {
        
        private InnerStruct _inner;
        
        /// <summary>
        /// Initializes a new instance (to be used by the serializer)
        /// </summary>
        public SomeStructureDto()
        {
            _inner = new InnerStruct();
        }
        
        /// <summary>
        /// Initializes a new data transfer object from the business object
        /// </summary>
        /// <param name="inner">The business object that should be transferred</param>
        /// <param name="store">A component to handle binary data</param>
        public SomeStructureDto(SomeStructure inner, Tecan.Sila2.IBinaryStore store)
        {
            _inner = new InnerStruct(inner, store);
        }
        
        public Tecan.Sila2.BooleanDto Boolean
        {
            get
            {
                if ((_inner == null))
                {
                    _inner = new InnerStruct();
                }
                return Inner.Boolean;
            }
            set
            {
                if ((_inner == null))
                {
                    _inner = new InnerStruct();
                }
                Inner.Boolean = value;
            }
        }
        
        public Tecan.Sila2.RealDto Real
        {
            get
            {
                if ((_inner == null))
                {
                    _inner = new InnerStruct();
                }
                return Inner.Real;
            }
            set
            {
                if ((_inner == null))
                {
                    _inner = new InnerStruct();
                }
                Inner.Real = value;
            }
        }
        
        public Tecan.Sila2.IntegerDto Long
        {
            get
            {
                if ((_inner == null))
                {
                    _inner = new InnerStruct();
                }
                return Inner.Long;
            }
            set
            {
                if ((_inner == null))
                {
                    _inner = new InnerStruct();
                }
                Inner.Long = value;
            }
        }
        
        public Tecan.Sila2.IntegerDto Int
        {
            get
            {
                if ((_inner == null))
                {
                    _inner = new InnerStruct();
                }
                return Inner.Int;
            }
            set
            {
                if ((_inner == null))
                {
                    _inner = new InnerStruct();
                }
                Inner.Int = value;
            }
        }
        
        public Tecan.Sila2.TimestampDto Timestamp
        {
            get
            {
                if ((_inner == null))
                {
                    _inner = new InnerStruct();
                }
                return Inner.Timestamp;
            }
            set
            {
                if ((_inner == null))
                {
                    _inner = new InnerStruct();
                }
                Inner.Timestamp = value;
            }
        }
        
        public Tecan.Sila2.TimeDto Time
        {
            get
            {
                if ((_inner == null))
                {
                    _inner = new InnerStruct();
                }
                return Inner.Time;
            }
            set
            {
                if ((_inner == null))
                {
                    _inner = new InnerStruct();
                }
                Inner.Time = value;
            }
        }
        
        /// <summary>
        /// The actual contents of the data transfer object.
        /// </summary>
        [ProtoBuf.ProtoMemberAttribute(1)]
        public InnerStruct Inner
        {
            get
            {
                return _inner;
            }
            set
            {
                _inner = value;
            }
        }
        
        /// <summary>
        /// Extracts the transferred value
        /// </summary>
        /// <param name="store">The binary store in which to store binary data</param>
        /// <returns>the inner value</returns>
        public SomeStructure Extract(Tecan.Sila2.IBinaryStore store)
        {
            return new SomeStructure(Boolean.Extract(store), Real.Extract(store), Long.Extract(store), ((int)(Int.Extract(store))), Timestamp.Extract(store), Time.Extract(store));
        }
        
        /// <summary>
        /// Creates the data transfer object from the given object to transport
        /// </summary>
        /// <param name="inner">The object to transfer</param>
        /// <param name="store">An object to store binary data</param>
        public static SomeStructureDto Create(SomeStructure inner, Tecan.Sila2.IBinaryStore store)
        {
            return new SomeStructureDto(inner, store);
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return (((((("" + Argument.Require(Boolean, "boolean")) 
                        + Argument.Require(Real, "real")) 
                        + Argument.Require(Long, "long")) 
                        + Argument.Require(Int, "int")) 
                        + Argument.Require(Timestamp, "timestamp")) 
                        + Argument.Require(Time, "time"));
        }
        
        /// <summary>
        /// Represents the inner structure for actual content
        /// </summary>
        [ProtoBuf.ProtoContractAttribute()]
        public class InnerStruct
        {
            
            private Tecan.Sila2.BooleanDto _boolean;
            
            private Tecan.Sila2.RealDto _real;
            
            private Tecan.Sila2.IntegerDto _long;
            
            private Tecan.Sila2.IntegerDto _int;
            
            private Tecan.Sila2.TimestampDto _timestamp;
            
            private Tecan.Sila2.TimeDto _time;
            
            /// <summary>
            /// Initializes a new instance (to be used by the serializer)
            /// </summary>
            public InnerStruct()
            {
            }
            
            /// <summary>
            /// Initializes a new data transfer object from the business object
            /// </summary>
            /// <param name="inner">The business object that should be transferred</param>
            /// <param name="store">A component to handle binary data</param>
            public InnerStruct(SomeStructure inner, Tecan.Sila2.IBinaryStore store)
            {
                Boolean = new Tecan.Sila2.BooleanDto(inner.Boolean, store);
                Real = new Tecan.Sila2.RealDto(inner.Real, store);
                Long = new Tecan.Sila2.IntegerDto(inner.Long, store);
                Int = new Tecan.Sila2.IntegerDto(inner.Int, store);
                Timestamp = new Tecan.Sila2.TimestampDto(inner.Timestamp, store);
                Time = new Tecan.Sila2.TimeDto(inner.Time, store);
            }
            
            [ProtoBuf.ProtoMemberAttribute(1)]
            public Tecan.Sila2.BooleanDto Boolean
            {
                get
                {
                    return _boolean;
                }
                set
                {
                    _boolean = value;
                }
            }
            
            [ProtoBuf.ProtoMemberAttribute(2)]
            public Tecan.Sila2.RealDto Real
            {
                get
                {
                    return _real;
                }
                set
                {
                    _real = value;
                }
            }
            
            [ProtoBuf.ProtoMemberAttribute(3)]
            public Tecan.Sila2.IntegerDto Long
            {
                get
                {
                    return _long;
                }
                set
                {
                    _long = value;
                }
            }
            
            [ProtoBuf.ProtoMemberAttribute(4)]
            public Tecan.Sila2.IntegerDto Int
            {
                get
                {
                    return _int;
                }
                set
                {
                    _int = value;
                }
            }
            
            [ProtoBuf.ProtoMemberAttribute(5)]
            public Tecan.Sila2.TimestampDto Timestamp
            {
                get
                {
                    return _timestamp;
                }
                set
                {
                    _timestamp = value;
                }
            }
            
            [ProtoBuf.ProtoMemberAttribute(6)]
            public Tecan.Sila2.TimeDto Time
            {
                get
                {
                    return _time;
                }
                set
                {
                    _time = value;
                }
            }
        }
    }
}

